Package nl.tue.id.oocsi.client.data

# Enum OOCSIDevice.LedType

java.lang.Object
java.lang.Enum<OOCSIDevice.LedType>
nl.tue.id.oocsi.client.data.OOCSIDevice.LedType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OOCSIDevice.LedType>`, `java.lang.constant.Constable`

Enclosing class:
  OOCSIDevice

    public static enum OOCSIDevice.LedType
    extends java.lang.Enum<OOCSIDevice.LedType>

from: ? Tbd.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CCT` |
  `DIMMABLE` |
  `ONOFF` |
  `RGB` |
  `RGBW` |
  `RGBWW` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static OOCSIDevice.LedType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static OOCSIDevice.LedType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RGB

    public static final OOCSIDevice.LedType RGB

  - ### RGBW

    public static final OOCSIDevice.LedType RGBW

  - ### RGBWW

    public static final OOCSIDevice.LedType RGBWW

  - ### CCT

    public static final OOCSIDevice.LedType CCT

  - ### DIMMABLE

    public static final OOCSIDevice.LedType DIMMABLE

  - ### ONOFF

    public static final OOCSIDevice.LedType ONOFF

- ## Method Details

  - ### values

    public static OOCSIDevice.LedType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static OOCSIDevice.LedType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null